<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical"
    android:weightSum="2">
    <LinearLayout
        android:id="@+id/lock_main"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_alignParentStart="true"
        android:layout_alignParentTop="true"
        android:layout_weight="1"
        android:background="@color/lock_screen_top_bg"
        android:gravity="center"
        android:orientation="vertical">
        <TextView
            android:id="@+id/password_title"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:text="암호입력"
            android:textColor="@android:color/white"
            android:textSize="25sp"
            android:layout_marginBottom="10dp"
            android:textAlignment="center" />
        <TextView
            android:id="@+id/password_description"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:text="암호를 입력해 주세요."
            android:textSize="20sp"
            android:textColor="@android:color/white"
            android:layout_marginBottom="20dp"
            android:textAlignment="center" />
        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginLeft="50dp"
            android:layout_marginRight="50dp"
            android:layout_marginBottom="10dp"
            android:gravity="center"
            android:orientation="horizontal">
            <View
                android:id="@+id/password_view1"
                android:layout_width="20dp"
                android:layout_height="20dp"
                android:layout_marginLeft="10dp"
                android:layout_marginRight="10dp"
                android:background="@drawable/password_shape" />

            <View
                android:id="@+id/password_view2"
                android:layout_width="20dp"
                android:layout_height="20dp"
                android:layout_marginLeft="10dp"
                android:layout_marginRight="10dp"
                android:background="@drawable/password_shape" />
            <View
                android:id="@+id/password_view3"
                android:layout_width="20dp"
                android:layout_height="20dp"
                android:layout_marginLeft="10dp"
                android:layout_marginRight="10dp"
                android:background="@drawable/password_shape" />
            <View
                android:id="@+id/password_view4"
                android:layout_width="20dp"
                android:layout_height="20dp"
                android:layout_marginLeft="10dp"
                android:layout_marginRight="10dp"
                android:background="@drawable/password_shape" />
            <View
                android:id="@+id/password_view5"
                android:layout_width="20dp"
                android:layout_height="20dp"
                android:layout_marginLeft="10dp"
                android:layout_marginRight="10dp"
                android:background="@drawable/password_shape" />
            <View
                android:id="@+id/password_view6"
                android:layout_width="20dp"
                android:layout_height="20dp"
                android:layout_marginLeft="10dp"
                android:layout_marginRight="10dp"
                android:background="@drawable/password_shape" />
        </LinearLayout>
        <TextView
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:text="암호를 분실했을 경우 앱을 삭제하고 재설치하여 새로운 암호를 설정하시기 바랍니다."
            android:textColor="@android:color/white"
            android:layout_marginTop="30dp"
            android:layout_marginStart="10dp"
            android:layout_marginEnd="10dp"
            android:textAlignment="center" />
    </LinearLayout>

    <LinearLayout
        android:id="@+id/ll_bottom"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_weight="1"
        android:gravity="center"
        android:background="@android:color/white"
        android:orientation="vertical">
        <LinearLayout
            android:id="@+id/number_pad_row_1"
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:weightSum="3"
            android:layout_weight="1"
            android:gravity="center"
            android:orientation="horizontal">
            <Button
                android:id="@+id/button1"
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="1"
                android:background="@android:color/transparent"
                android:textSize="30sp"
                android:onClick="numpadClick"
                android:text="1"
                android:tag="1" />
            <Button
                android:id="@+id/button2"
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="1"
                android:background="@android:color/transparent"
                android:textSize="30sp"
                android:onClick="numpadClick"
                android:text="2"
                android:tag="2" />
            <Button
                android:id="@+id/button3"
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="1"
                android:background="@android:color/transparent"
                android:textSize="30sp"
                android:onClick="numpadClick"
                android:text="3"
                android:tag="3" />
        </LinearLayout>

        <LinearLayout
            android:id="@+id/number_pad_row_2"
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:weightSum="3"
            android:layout_weight="1"
            android:gravity="center"
            android:orientation="horizontal">
            <Button
                android:id="@+id/button4"
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="1"
                android:background="@android:color/transparent"
                android:textSize="30sp"
                android:onClick="numpadClick"
                android:text="4"
                android:tag="4" />

            <Button
                android:id="@+id/button5"
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="1"
                android:background="@android:color/transparent"
                android:textSize="30sp"
                android:onClick="numpadClick"
                android:text="5"
                android:tag="5" />

            <Button
                android:id="@+id/button6"
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="1"
                android:background="@android:color/transparent"
                android:textSize="30sp"
                android:onClick="numpadClick"
                android:text="6"
                android:tag="6" />
        </LinearLayout>

        <LinearLayout
            android:id="@+id/number_pad_row_3"
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:weightSum="3"
            android:layout_weight="1"
            android:gravity="center"
            android:orientation="horizontal">
            <Button
                android:id="@+id/button7"
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="1"
                android:background="@android:color/transparent"
                android:textSize="30sp"
                android:onClick="numpadClick"
                android:text="7"
                android:tag="7" />

            <Button
                android:id="@+id/button8"
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="1"
                android:background="@android:color/transparent"
                android:textSize="30sp"
                android:onClick="numpadClick"
                android:text="8"
                android:tag="8" />

            <Button
                android:id="@+id/button9"
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="1"
                android:background="@android:color/transparent"
                android:textSize="30sp"
                android:onClick="numpadClick"
                android:text="9"
                android:tag="9" />
        </LinearLayout>

        <LinearLayout
            android:id="@+id/number_pad_row_4"
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:weightSum="3"
            android:layout_weight="1"
            android:gravity="center"
            android:background="@android:color/transparent"
            android:orientation="horizontal">
            <Button
                android:id="@+id/button_cancel"
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="1"
                android:background="@android:color/transparent"
                android:textSize="30sp"
                android:clickable="false" />

            <Button
                android:id="@+id/button_0"
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="1"
                android:background="@android:color/transparent"
                android:textSize="30sp"
                android:onClick="numpadClick"
                android:text="0"
                android:tag="0" />

            <Button
                android:id="@+id/button_backspace"
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="1"
                android:background="@android:color/transparent"
                android:textSize="30sp"
                android:onClick="numpadClick"
                android:text="@string/backspace_symbol"
                android:tag="-1"
                android:layout_margin="-1dp" />
        </LinearLayout>
    </LinearLayout>
</LinearLayout>
